#!/bin/bash
# 
# Pulls updates from upstream repository for images matching filter. The
# default filter pulls all ssdt application images.
#
# Usage:
#    pull-updates.sh [application] [filter]
#
#    defaults:
#      application=all applications
#      filter=label=io.ssdt.app[=application]
#
# Note: if filter is provided, the first argument is ignored. A complete filter must be supplied.
#
APP=${1:+=$1}
FILTER=${2:-label=io.ssdt.app$APP}
while read -a line
do
   repo=${line[0]}
   tag=${line[1]}
   if [[ $repo == docker.ssdt.io* && $tag != *none* ]]
   then
      echo "docker pull ${repo}:${tag}"
      docker pull ${repo}:${tag}
   fi
done <  <(docker images  --filter "$FILTER")
